ru.bitel.oss.systems.inventory.service.common.service

## Interface ServiceService

-     public interface ServiceService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serviceDelete(int contractId, int id)`
    `void` | `serviceDeleteByProduct(int contractId, int productId)`
    `java.util.List<Service>` | `serviceList(int contractId, int productId)`
    `void` | `serviceSpecDelete(int id)`
    `ServiceSpec` | `serviceSpecGet(int id)`
    `java.util.List<ServiceSpec>` | `serviceSpecList(java.lang.Integer moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title)`
    `void` | `serviceSpecMove(int id, java.util.Set<java.lang.Integer> ids)`
    `ServiceSpec` | `serviceSpecTree(java.lang.Integer moduleId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title)`
    `int` | `serviceSpecUpdate(ServiceSpec serviceSpec)`
    `int` | `serviceUpdate(Service service)`

- - ### Method Detail

    - #### serviceSpecList

          java.util.List<ServiceSpec> serviceSpecList(java.lang.Integer moduleId,
                                                      java.util.Date dateFrom,
                                                      java.util.Date dateTo,
                                                      java.lang.String title)
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceSpecTree

          ServiceSpec serviceSpecTree(java.lang.Integer moduleId,
                                      java.util.Date dateFrom,
                                      java.util.Date dateTo,
                                      java.lang.String title)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceSpecGet

          ServiceSpec serviceSpecGet(int id)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceSpecUpdate

          int serviceSpecUpdate(ServiceSpec serviceSpec)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceSpecDelete

          void serviceSpecDelete(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceSpecMove

          void serviceSpecMove(int id,
                               java.util.Set<java.lang.Integer> ids)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceList

          java.util.List<Service> serviceList(int contractId,
                                              int productId)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceUpdate

          int serviceUpdate(Service service)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceDelete

          void serviceDelete(int contractId,
                             int id)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### serviceDeleteByProduct

          void serviceDeleteByProduct(int contractId,
                                      int productId)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`